maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Barrie Treloar <baerr...@gmail.com>
Subject Re: Maven Setup for Existing Plugin Development Project(Eclipse Plugin)
Date Mon, 30 Jan 2012 05:55:47 GMT
On Mon, Jan 30, 2012 at 3:46 PM, Singh, Harsimranjit (NSN -
IN/Bangalore) <harsimranjit.singh@nsn.com> wrote:
> Hi
>
> Thanks for reply . I am using Maven 2.2.1
>
> Is sonatype support maven 2?
>
> Also I found:
> http://mojo.codehaus.org/pde-maven-plugin/
>
>
> So which one I should use?

pde-maven-plugin is dead, but usable.

Your options include:
* Upgrade to Maven 3+
* Upgrade to latest version of Eclipse PDE
* Dont use Maven

I'd recommend upgrading Eclipse PDE anyway as you not find any Eclipse
jars available for the older environment.

We are stuck on Eclipse RCP 3.2.2 and use pde-maven-plugin fine.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message